- Qt 5.15
- Qt SQL
- C++ Classes
- QSqlDriver
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QSqlDriver

The following members of class QSqlDriver are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(obsolete)` void | notification(const QString &name)

## Member Function Documentation

### `[signal]` void QSqlDriver::notification(const QString &name)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This signal is emitted when the database posts an event notification that the driver subscribes to. name identifies the event notification.

use QSqlDriver::notification(const QString &name, QSqlDriver::NotificationSource source, const QVariant &payload) instead

Note: Signal notification is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

     connect(sqlDriver, QOverload<const QString &>::of(&QSqlDriver::notification),
         [=](const QString &name){ /* ... */ });

This function was introduced in Qt 4.4.

See also subscribeToNotification().